
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Plots the diagrams
%Inputs:
%   -x_axis: The x axis array
%   -y_axis: The y axis array
%   -x_str: The x axis label 
%   -y_str: The y axis label 
%   -title_str: The diagram title
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function drawDiagram(x_axis, y_axis, x_str, y_str, title_str)

figure();
hold on; grid on;
if (x_axis == 0)
    plot(1:length(y_axis),y_axis);
else
    plot(x_axis, y_axis);
end
set(gca,'FontSize',20);


xlabel(x_str);
ylabel(y_str);
title(title_str);
box on;
end







